<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage music-event-artist
 * @since music-event-artist 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function music_event_artist_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Music_Event_Artist_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Music Event Artist Pro', 'music-event-artist' ),
		'button_text'      => __( 'Upgrade Pro', 'music-event-artist' ),
		'url'              => 'https://www.wpradiant.net/products/music-artist-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'music_event_artist_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function music_event_artist_custom_control_scripts() {
	wp_enqueue_script( 'music-event-artist-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'music-event-artist-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'music_event_artist_custom_control_scripts' );